<?php
include_once(getabspath("include/gasto_settings.php"));

function DisplayMasterTableInfo_gasto($params)
{
	$detailtable=$params["detailtable"];
	$keys=$params["keys"];
	global $conn,$strTableName;
	$xt = new Xtempl();
	
	$oldTableName=$strTableName;
	$strTableName="gasto";

//$strSQL = "SELECT  idgasto,  tipo,  fecha,  descripcion,  total,  anulado,  idmovimiento,  idconcepto  FROM gasto  WHERE (anulado =\"NO\")  ORDER BY idgasto DESC  ";

	$cipherer = new RunnerCipherer($strTableName);
	$settings = new ProjectSettings($strTableName, PAGE_PRINT);
	
	$masterQuery = $settings->getSQLQuery();
	$viewControls = new ViewControlsContainer($settings, PAGE_PRINT);

$where="";

global $pageObject, $page_styles, $page_layouts, $page_layout_names, $container_styles;
$layout = new TLayout("masterprint","BoldAqua","MobileAqua");
$layout->blocks["bare"] = array();
$layout->containers["0"] = array();

$layout->containers["0"][] = array("name"=>"masterprintheader","block"=>"","substyle"=>1);


$layout->skins["0"] = "empty";
$layout->blocks["bare"][] = "0";
$layout->containers["mastergrid"] = array();

$layout->containers["mastergrid"][] = array("name"=>"masterprintfields","block"=>"","substyle"=>1);


$layout->skins["mastergrid"] = "grid";
$layout->blocks["bare"][] = "mastergrid";$page_layouts["gasto_masterprint"] = $layout;


$showKeys = "";
if($detailtable=="det_gasto")
{
		$where.= GetFullFieldName("idgasto", "", false)."=".$cipherer->MakeDBValue("idgasto",$keys[1-1], "", "", true);
	$showKeys .= " "."Nº Gasto".": ".$keys[1-1];
	$xt->assign('showKeys',$showKeys);
	
}
if(!$where)
{
	$strTableName=$oldTableName;
	return;
}
	$str = SecuritySQL("Export");
	if(strlen($str))
		$where.=" and ".$str;
	
	$strWhere = whereAdd($masterQuery->m_where->toSql($masterQuery),$where);
	if(strlen($strWhere))
		$strWhere=" where ".$strWhere." ";
	$strSQL = $masterQuery->HeadToSql().' '.$masterQuery->FromToSql().$strWhere.$masterQuery->TailToSql();

//	$strSQL=AddWhere($strSQL,$where);

	LogInfo($strSQL);
	$rs=db_query($strSQL,$conn);
	$data = $cipherer->DecryptFetchedArray($rs);
	if(!$data)
	{
		$strTableName=$oldTableName;
		return;
	}
	$keylink="";
	$keylink.="&key1=".htmlspecialchars(rawurlencode(@$data["idgasto"]));
	

//	idgasto - 
			$xt->assign("idgasto_mastervalue", $viewControls->showDBValue("idgasto", $data, $keylink));

//	tipo - 
			$xt->assign("tipo_mastervalue", $viewControls->showDBValue("tipo", $data, $keylink));

//	fecha - Short Date
			$xt->assign("fecha_mastervalue", $viewControls->showDBValue("fecha", $data, $keylink));

//	descripcion - 
			$xt->assign("descripcion_mastervalue", $viewControls->showDBValue("descripcion", $data, $keylink));

//	total - Number
			$xt->assign("total_mastervalue", $viewControls->showDBValue("total", $data, $keylink));

//	idmovimiento - 
			$xt->assign("idmovimiento_mastervalue", $viewControls->showDBValue("idmovimiento", $data, $keylink));

//	idconcepto - 
			$xt->assign("idconcepto_mastervalue", $viewControls->showDBValue("idconcepto", $data, $keylink));
	$xt->display("gasto_masterprint.htm");
	$strTableName=$oldTableName;

}

?>